IBAN
Returns BIC + name of the bank associated with the given IBAN. For invalid IBANs, NULL is returned.
GET/api/opendata/bank_data/iban
Query parameters
ibanrequiredstring | IBAN |
Responses
200Returns BIC + name of the bank associated with the given IBAN. For invalid IBANs, NULL is returned.BankData
Show fields (24)
idintegerPrimary key of the bank data. Internal ID.
national_bank_numberstringNational bank number (bank code) of the bank.
search_stringstringText that the entity can be searched by.
addressstringAddress as text.
address_streetstringStreet of the address.
address_house_numberstringHouse number of the address.
address_street_levelstringStreet and house number of the address.
address_costringCare-of line of the address.
address_citystringCity of the address.
address_zipstringPostal code of the address.
address_admin_level1stringFirst administrative level of the address, e.g. the federal state.
address_countrystringCountry code of the address.
address_full_countrystringFull name of the country of the address.
address_geo_latstringLatitude of the address.
address_geo_lngstringLongitude of the address.
address_external_provider_idstringfield to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE
short_identifierstringShort identifier of the entity.
payment_ownerstringAccount owner of the direct debit.
payment_institutionstringName of the bank of the direct debit.
payment_bicstringBIC of the bank account.
payment_ibanstringIBAN of the bank account.
payment_mandatestringReference of the SEPA mandate.
payment_mandate_sign_datestring (date-time)Date the SEPA mandate was signed.
payment_mandate_valid_until_datestring (date-time)Date until which the SEPA mandate is valid.
curl --request GET \
--url 'https://your-instance.iw-erp.de/api/opendata/bank_data/iban?iban=DE02120300000000202051'const options = {method: 'GET'};
fetch('https://your-instance.iw-erp.de/api/opendata/bank_data/iban?iban=DE02120300000000202051', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/bank_data/iban?iban=DE02120300000000202051"
response = requests.get(url)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/opendata/bank_data/iban?iban=DE02120300000000202051');
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/bank_data/iban?iban=DE02120300000000202051"),
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/bank_data/iban?iban=DE02120300000000202051")
.get()
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/bank_data/iban?iban=DE02120300000000202051"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/open_data_bank_data_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
final result = await OpenDataBankDataController.getForIban('DE02120300000000202051');
if (result.success) {
print(result.data);
}{
"id": 42,
"address_street": "Jakobistr. 39",
"address_city": "Hannover",
"address_zip": "30163",
"address_country": "DE",
"address_full_country": "DE",
"payment_bic": "BYLADEM1001",
"payment_iban": "DE02120300000000202051",
"national_bank_number": "string",
"search_string": "string"
}